> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automate.ax/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Automate.ax automations are TypeScript programs.
> Use Bun for installation and command examples.
> Use Automate.ax for the product name and automate.ax for the package, CLI, and domain.
> Treat documented public APIs as current; do not invent transitional or deprecated names.

# Redeploy project

> Creates a deployment from the project's active artifact and plans with explicit integration account bindings.



## OpenAPI

````yaml https://automate.ax/api/v1/openapi.json post /projects/{projectId}/deployments/redeploy
openapi: 3.1.1
info:
  title: Automate.ax API
  version: 0.0.0
servers:
  - url: https://automate.ax/api/v1
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/deployments/redeploy:
    post:
      tags:
        - Deployments
      summary: Redeploy project
      description: >-
        Creates a deployment from the project's active artifact and plans with
        explicit integration account bindings.
      operationId: redeployProject
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                bindings:
                  type: array
                  items:
                    type: object
                    properties:
                      accountId:
                        type: string
                        minLength: 1
                      binding:
                        type: string
                        minLength: 1
                      serviceId:
                        type: string
                        minLength: 1
                    required:
                      - accountId
                      - binding
                      - serviceId
                parameters:
                  type: array
                  items:
                    type: object
                    properties:
                      automationId:
                        type: string
                      name:
                        type: string
                        minLength: 1
                      value:
                        type: string
                        contentEncoding: base64
                    required:
                      - automationId
                      - name
                      - value
                  default: []
              required:
                - bindings
      responses:
        '201':
          description: Redeployment created.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  txid:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - id
                  - txid
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNSUPPORTED_RUNTIME_PROTOCOL
                      status:
                        const: 400
                      message:
                        type: string
                        default: >-
                          The automation bundle uses an unsupported runtime
                          protocol.
                      data:
                        type: object
                        properties:
                          receivedVersion:
                            anyOf:
                              - type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                                exclusiveMinimum: 0
                              - type: 'null'
                          supportedVersion:
                            const: 7
                        required:
                          - receivedVersion
                          - supportedVersion
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '409':
          description: '409'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: DEPLOYMENT_IN_PROGRESS
                      status:
                        const: 409
                      message:
                        type: string
                        default: A deployment is already in progress.
                      data:
                        type: object
                        properties:
                          deploymentId:
                            type: string
                          status:
                            enum:
                              - planning
                              - awaiting_authorization
                              - configuring
                              - publishing
                              - succeeded
                              - failed
                              - cancelled
                            type: string
                        required:
                          - deploymentId
                          - status
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Automate.ax user session bearer token.

````